# Authorization

A "Bearer Token" is required to authenticate into the API, you can generate tokens for your user account on `/admin/api-tokens`.

### Token Abilities

Each token is provisioned with one or more abilities. When calling an endpoint, the token must include the ability required by that endpoint

| Abilities     | Description                     |
| ------------- | ------------------------------- |
| Read Results  | Allows token to read results.   |
| Run Speedtest | Allows token to run speedtests. |
| List servers  | Allows token to list servers.   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.speedtest-tracker.dev/api/authorization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
